summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorbill-auger <mr.j.spam.me@gmail.com>2021-05-14 03:45:17 -0400
committerbill-auger <mr.j.spam.me@gmail.com>2021-05-22 23:00:14 -0400
commit1d26d864b80b4a2c1fe1409e39791fbea2046180 (patch)
tree6f88e017db342dc37e3cf344728ca018a221356a
parent5e8e81301ed4a1caee69f393436be33373f29679 (diff)
wip-revertme
-rw-r--r--libre/icecat/PKGBUILD27
1 files changed, 17 insertions, 10 deletions
diff --git a/libre/icecat/PKGBUILD b/libre/icecat/PKGBUILD
index 0012b11c0..de4e24ff2 100644
--- a/libre/icecat/PKGBUILD
+++ b/libre/icecat/PKGBUILD
@@ -24,7 +24,7 @@
pkgname=icecat
_upstream_ver=78.10.0-pre2 # -gnu1
pkgver=${_upstream_ver//-/_}
-pkgrel=1
+pkgrel=1wip
pkgdesc="the GNU web browser, based on Mozilla Firefox ESR"
arch=(x86_64 i686 armv7h)
license=(MPL GPL LGPL)
@@ -75,7 +75,7 @@ eval "_should_skip_pgo=\$_should_skip_pgo_${CARCH}"
_check_build_config() {
- pushd "$srcdir/$pkgname-${pkgver%_*}" > /dev/null
+ pushd "${srcdir}"/${pkgname}-${pkgver%_*} > /dev/null
echo "Checking build configuration..."
@@ -88,17 +88,24 @@ _check_build_config() {
# E.g. if the value of any key is true or null (in case the key is missing from mozinfo.json),
# that means the build configuration has to be reworked.
local obj_directory=$(./mach environment | sed -En '/object directory:/{n;s/^\s+//;p;}')
- local antifeature_keys=(.crashreporter .datareporting .healthreport .normandy .telemetry .updater)
+ local mozinfo_json="${obj_directory}"/mozinfo.json
+ local antifeature_keys=('.crashreporter' '.datareporting' '.healthreport' '.normandy' '.telemetry' '.updater')
local antifeatures=()
- echo "obj_directory is: ${obj_directory}"
- for key in ${antifeature_keys[@]}
- do jq -e "${key} != false" "${obj_directory}"/mozinfo.json && antifeatures+=(${key})
- done
+ local jq_cmd=( jq -e "${key} != false" "${mozinfo_json}" )
+
+ printf "\$mozinfo_json %s - obj_directory is: %s\n" \
+ "$( [[ -f "${mozinfo_json}" ]] || printf "not " )found" \
+ "${obj_directory}"
+
+ for key in ${antifeature_keys[@]} ; do ${jq_cmd[@]} && antifeatures+=(${key}); done ;
+
if (( ${#antifeatures[@]} ))
then echo "Some anti-features are not disabled in build configuration files, aborting:"
- for key in ${antifeatures[@]} ; do echo " - ${key} is enabled" ; done ;
-# FIXME: - .datareporting is enabled
- return 1
+ for key in ${antifeature_keys[@]}
+ do echo "${key} - $( ${jq_cmd[@]} || echo "not " )detected\n"
+ done
+
+ return 1 # FIXME: .datareporting is detected
fi
popd > /dev/null